#include <dolfin.h>

namespace dolfin { namespace unicorn {

void FormFactory(Mesh& mesh,
		 Form*& a, Form*& L,
		 Form*& Lres_rho,
		 Form*& Lres_m, Form*& Lres_e,
		 Function& w0,
		 Function& u,
		 Function& um,
		 Function& P,
		 Function& rho,
		 Function& rho0,
		 Function& m,
		 Function& m0,
		 Function& e,
		 Function& e0,
		 Function& nu_rho,
		 Function& nu_m,
		 Function& nu_e,
		 Function& delta,
		 Function& vol_inv,
		 Function& fk);

}}
